package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*文件上传表
* @author quyixiao
* @since 2020-08-25
*/

@Data
@TableName("lz_record_file")
public class RecordFile implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //员工 id
    private Long staffId;
    //员工名称
    private String staffName;
    //部门 id
    private String departmentId;
    //文件名
    private String fileName;
    //文件 url
    private String fileUrl;
    //记录 id
    private Long recordId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 员工 id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工 id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 员工名称 
     * @return
     */
    public String getStaffName() {
        return staffName;
    }
    /**
     * 员工名称 
     * @param staffName
     */
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    /**
     * 部门 id 
     * @return
     */
    public String getDepartmentId() {
        return departmentId;
    }
    /**
     * 部门 id 
     * @param departmentId
     */
    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    /**
     * 文件名 
     * @return
     */
    public String getFileName() {
        return fileName;
    }
    /**
     * 文件名 
     * @param fileName
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * 文件 url 
     * @return
     */
    public String getFileUrl() {
        return fileUrl;
    }
    /**
     * 文件 url 
     * @param fileUrl
     */
    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    /**
     * 记录 id 
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录 id 
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    @Override
    public String toString() {
        return "RecordFile{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",staffId=" + staffId +
                ",staffName=" + staffName +
                ",departmentId=" + departmentId +
                ",fileName=" + fileName +
                ",fileUrl=" + fileUrl +
                ",recordId=" + recordId +
                "}";
    }
}